com.sun.syndication.feed.synd.impl

## Class URINormalizer

- java.lang.Object
- - com.sun.syndication.feed.synd.impl.URINormalizer

    public class URINormalizer
    extends java.lang.Object

Utility class for normalizing an URI as specified in RFC 2396bis.

### Constructor Summary

Constructors
Constructor and Description
`URINormalizer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `normalize(java.lang.String uri)` Normalizes an URI as specified in RFC 2396bis.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URINormalizer

    public URINormalizer()

### Method Detail

#### normalize

    public static java.lang.String normalize(java.lang.String uri)

Normalizes an URI as specified in RFC 2396bis.

Parameters:
  `uri` - to normalize.
Returns:
  the normalized value of the given URI, or null if the given URI was null.